Skip to main content
GET
/
data
/
projects
/
{projectId}
/
cache
/
{cacheId}
Get Cache Settings
curl --request GET \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/cache/{cacheId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "catalogId": "<string>",
  "schemaName": "<string>",
  "tableName": "<string>",
  "incrementalCacheSchedule": {
    "expression": "<string>"
  },
  "fullRefreshCacheSchedule": {
    "expression": "<string>"
  },
  "projectId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.peaka.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

The unique identifier of the project that owns the cache

cacheId
string
required

The unique identifier of the cache to retrieve (UUID format)

Response

Cache settings retrieved successfully.

id
string

The ID of the cache.

catalogId
string

The ID of the catalog for the cache request.

schemaName
string

The name of the schema for the cache request.

tableName
string

The name of the table for the cache request.

incrementalCacheSchedule
object

This class represents a schedule for a materialized query.

fullRefreshCacheSchedule
object

This class represents a schedule for a materialized query.

projectId
string

The ID of the project for the cache request.